// Written by TeTeT for the Nimitz

[Nimitz] spawn {
	params ["_carrier"];

	sleep 2;

	private _nimspots = _carrier getVariable "nimspots";
	private _ele2 = _nimspots modelToWorld (_nimspots selectionPosition "E2");
	private _cat1 = _nimspots modelToWorld (_nimspots selectionPosition "C1");
	private _cat2 = _nimspots modelToWorld (_nimspots selectionPosition "C2");

	private _ele2SpawnPos = _ele2 getPos [-2.5, getDir _carrier - 90];
	_ele2SpawnPos = [ _ele2SpawnPos select 0, _ele2SpawnPos select 1, 17.5];
	private _plane = createVehicle ["JS_JC_FA18E", _ele2SpawnPos, [], 0, "NONE"];
	_plane setDir (getDir _carrier - 90);
	_plane setPosASL _ele2SpawnPos;

	private _logicGroup = createGroup sideLogic;

	private _timeline = _logicGroup createUnit ['Timeline_F', getpos _carrier, [], 0, 'NONE'];
	_timeline setVariable ['Length', 30];
	_timeline setVariable ['EventStarted', "systemChat 'timeline start';"];
	_timeline setVariable ['EventFinished', "systemChat 'timeline finished';"];
	systemChat str _timeline;

 	private _curve = c; // _logicGroup createUnit ['Curve_F', getpos _carrier, [], 0, 'NONE'];
	_curve setVariable ['OrientationMode', 3];
	systemChat str _curve;

	private _k1 = k1; // _logicGroup createUnit ['Key_F', getposASL _plane, [], 0, 'NONE'];
	_k1 setDir (getDir _plane);
	[_k1, 0] call BIS_fnc_key_setTime;
	_k1 setVariable ['Event',"systemChat 'key frame 1';"];
	systemChat str _k1;
	systemChat str ([_k1] call BIS_fnc_key_getTime);

	private _k2 = k2; //_logicGroup createUnit ['Key_F', _cat1, [], 0, 'NONE'];
	_k2 setDir (getDir _carrier);
	[_k2, 30] call BIS_fnc_key_setTime;
	_k2 setVariable ['Event',"systemChat 'key frame 2';"];
	systemChat str _k2;
	systemChat str ([_k2] call BIS_fnc_key_getTime);

	_curve synchronizeObjectsAdd [_plane];
	// _timeline synchronizeObjectsAdd [_curve];

/*	systemChat str (synchronizedObjects _timeline);
	systemChat str (synchronizedObjects _curve);
*/
	sleep 5;
	systemChat 'Starting timeline';
	[_timeline] call bis_fnc_timeline_play;
};